View Issue Details

IDProjectCategoryView StatusLast Update
13331Bug reports[All Projects] LimeSurvey Websitepublic2018-02-21 16:37
ReporterYuVeRe Assigned Tomarkusfluer  
PrioritynoneSeveritytweak 
Status closedResolutionfixed 
Product Version3.3.x 
Target VersionFixed in Version3.4.x 
Summary13331: Problem when printing the questions at the end of the survey
Description

At the end of the survey, i can't print the questions with the language selected

Example:

The user answers a survey in Spanish but at the end of the survey it shows the questions in Portuguese (additional language) and the Spanish answers.

LimeSurvey version 3.3.0

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.3.0 (180206)
I will donate to the project if issue is resolvedNo
BrowserGoogle Chrome 63.0.3239.132 (Build oficial) (64 bits)
Database & DB-VersionMySQL 5.7.20-0 & LimeDBVersion 347
Server OS (if known)Ubuntu 16.04.3 LTS
Webserver software & version (if known)Apache/2.4.18
PHP Version7.0.22

Activities

YuVeRe

YuVeRe

2018-02-10 02:52

reporter  

AnswerExample.JPG (40,389 bytes)
AnswerExample.JPG (40,389 bytes)
YuVeRe

YuVeRe

2018-02-14 22:15

reporter  

Doc1.pdf (20,250 bytes)
CAF

CAF

2018-02-17 00:57

reporter   ~46574

I have the same problem the questions are shown in one language and the answers in other.

markusfluer

markusfluer

2018-02-21 13:52

administrator   ~46664

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26535

Related Changesets

LimeSurvey: master d4602d49

2018-02-21 13:51:06

markusfluer

Details Diff
Fixed issue 13385: Public PDF export show all question even if unrelevant
Fixed issue 13331: Problem when printing the questions at the end of the survey
Affected Issues
13331, 13385
mod - application/controllers/PrintanswersController.php Diff File
mod - application/core/LS_Twig_Extension.php Diff File
mod - application/helpers/expressions/em_manager_helper.php Diff File
mod - application/models/Question.php Diff File
mod - application/models/SurveyDynamic.php Diff File
mod - themes/survey/vanilla/views/subviews/printanswers/question_types/template_array-flexible-column.twig Diff File
mod - themes/survey/vanilla/views/subviews/printanswers/question_types/template_array-flexible-row.twig Diff File
mod - themes/survey/vanilla/views/subviews/printanswers/question_types/template_list-dropdown.twig Diff File
mod - themes/survey/vanilla/views/subviews/printanswers/question_types/template_list-radio.twig Diff File
mod - themes/survey/vanilla/views/subviews/printanswers/question_types/template_list-with-comment.twig Diff File
mod - themes/survey/vanilla/views/subviews/printanswers/question_types/template_ranking.twig Diff File

Issue History

Date Modified Username Field Change
2018-02-10 02:52 YuVeRe New Issue
2018-02-10 02:52 YuVeRe Status new => assigned
2018-02-10 02:52 YuVeRe Assigned To => c_schmitz
2018-02-10 02:52 YuVeRe File Added: AnswerExample.JPG
2018-02-14 22:15 YuVeRe File Added: Doc1.pdf
2018-02-16 18:25 c_schmitz Assigned To c_schmitz => markusfluer
2018-02-17 00:57 CAF Note Added: 46574
2018-02-21 13:52 markusfluer Status assigned => resolved
2018-02-21 13:52 markusfluer Resolution open => fixed
2018-02-21 13:52 markusfluer Fixed in Version => 3.4.x
2018-02-21 13:52 markusfluer Changeset attached => LimeSurvey master d4602d49
2018-02-21 13:52 markusfluer Note Added: 46664
2018-02-21 16:37 ollehar Status resolved => closed